Name: daemontools
Version: 0.76
Release: alt7
Summary: Daemontools by DJB
License: Public domain
Group: System/Servers
Url: http://cr.yp.to/

Packager: Denis Smirnov <mithraen@altlinux.ru>

Source: %name-%version.tar
Source1: %name.rpm.macro

Patch0: %name-%version.command.patch
Patch1: %name.errno.patch
Patch2: %name.check.setgroup.patch
Patch3: %name.warnings.patch

Requires(pre): startup
Requires(post): daemontools-common = %version-%release

%description
Daemontools by DJB

%package common
Group: System/Base
Summary: Daemontools and other packages shared files
Conflicts: %name < %version-%release

%description common
Daemontools and other packages shared files

%prep
%setup -q -c
%patch -p1
%patch1 -p1
%patch2 -p0
%patch3 -p1

%build
pushd admin/%name-%version
package/compile
popd

%install
mkdir -p %buildroot/bin %buildroot%_sysconfdir/daemontools.d
cp -a admin/%name-%version/command/* %buildroot/bin/
install -D -m644 %SOURCE1 %buildroot/etc/rpm/macros.d/%name

%post
if grep svscanboot %_sysconfdir/inittab >/dev/null
then
  echo 'inittab contains an svscanboot line. I assume that svscan is already running.'
else
  echo 'Adding svscanboot to inittab...'
  rm -f %_sysconfdir/inittab'{new}'

  cat %_sysconfdir/inittab > %_sysconfdir/inittab'{new}'
  echo >>  %_sysconfdir/inittab'{new}'
  echo 'SV:123456:respawn:/bin/svscanboot' >> %_sysconfdir/inittab'{new}'
  mv -f %_sysconfdir/inittab'{new}' %_sysconfdir/inittab
  kill -HUP 1
  echo 'init should start svscan now.'
fi

%files
/bin/*

%files common
/etc/rpm/macros.d/%name
%dir %_sysconfdir/daemontools.d

%changelog
* Fri Nov 30 2007 Denis Smirnov <mithraen@altlinux.ru> 0.76-alt7
- Add daemontools-common subpackage

* Fri Nov 30 2007 Denis Smirnov <mithraen@altlinux.ru> 0.76-alt6
- rebuild for Sisyphus (DJB change license to public domain)
- change path for spool from /service to /etc/daemontools.d

* Fri Aug 25 2006 Denis Smirnov <mithraen@altlinux.ru> 0.76-alt5
- add requires(pre) to startup for /etc/inittab

* Fri Aug 18 2006 Denis Smirnov <mithraen@altlinux.ru> 0.76-alt4
- spec cleanup

* Tue Sep 28 2004 Denis Smirnov <mithraen@altlinux.ru> 0.76-alt3
- first build for Sisyphus

